package com.huashe.park.core.mapper;

import com.huashe.park.domain.entity.ConsPileHoleInfo;

import java.util.List;

/**
 * 施工桩点信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-13
 */
public interface ConsPileHoleInfoMapper 
{
    /**
     * 查询施工桩点信息
     * 
     * @param id 施工桩点信息主键
     * @return 施工桩点信息
     */
    public ConsPileHoleInfo selectConsPileHoleInfoById(Long id);

    /**
     * 查询施工桩点信息列表
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 施工桩点信息集合
     */
    public List<ConsPileHoleInfo> selectConsPileHoleInfoList(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 新增施工桩点信息
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 结果
     */
    public int insertConsPileHoleInfo(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 修改施工桩点信息
     * 
     * @param consPileHoleInfo 施工桩点信息
     * @return 结果
     */
    public int updateConsPileHoleInfo(ConsPileHoleInfo consPileHoleInfo);

    /**
     * 删除施工桩点信息
     * 
     * @param id 施工桩点信息主键
     * @return 结果
     */
    public int deleteConsPileHoleInfoById(Long id);

    /**
     * 批量删除施工桩点信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteConsPileHoleInfoByIds(Long[] ids);
}
