package com.huashe.park.service;

import com.huashe.park.domain.entity.PileMachineInfo;

import java.util.List;

/**
 * 施工桩机信息Service接口
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
public interface IPileMachineInfoService 
{
    /**
     * 查询施工桩机信息
     * 
     * @param id 施工桩机信息主键
     * @return 施工桩机信息
     */
    public PileMachineInfo selectPileMachineInfoById(Long id);

    /**
     * 查询施工桩机信息列表
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 施工桩机信息集合
     */
    public List<PileMachineInfo> selectPileMachineInfoList(PileMachineInfo pileMachineInfo);

    /**
     * 新增施工桩机信息
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 结果
     */
    public int insertPileMachineInfo(PileMachineInfo pileMachineInfo);

    /**
     * 修改施工桩机信息
     * 
     * @param pileMachineInfo 施工桩机信息
     * @return 结果
     */
    public int updatePileMachineInfo(PileMachineInfo pileMachineInfo);

    /**
     * 批量删除施工桩机信息
     * 
     * @param ids 需要删除的施工桩机信息主键集合
     * @return 结果
     */
    public int deletePileMachineInfoByIds(Long[] ids);

    /**
     * 删除施工桩机信息信息
     * 
     * @param id 施工桩机信息主键
     * @return 结果
     */
    public int deletePileMachineInfoById(Long id);
}
