package com.huashe.park.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 施工桩点信息对象 cons_pile_hole_info
 * 
 * @author ruoyi
 * @date 2025-02-13
 */
public class ConsPileHoleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 桩点编号 */
    @Excel(name = "桩点编号")
    private String holeNum;

    /** dx */
    @Excel(name = "dx")
    private Long deltaX;

    /** dy */
    @Excel(name = "dy")
    private Long deltaY;

    /** 经度 */
    @Excel(name = "经度")
    private Long lng;

    /** 纬度 */
    @Excel(name = "纬度")
    private Long lat;

    /** 施工状态 */
    @Excel(name = "施工状态")
    private String consStatus;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 设计深度 */
    @Excel(name = "设计深度")
    private Long desDept;

    /** 桩径 */
    @Excel(name = "桩径")
    private Long diameter;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setHoleNum(String holeNum) 
    {
        this.holeNum = holeNum;
    }

    public String getHoleNum() 
    {
        return holeNum;
    }
    public void setDeltaX(Long deltaX) 
    {
        this.deltaX = deltaX;
    }

    public Long getDeltaX() 
    {
        return deltaX;
    }
    public void setDeltaY(Long deltaY) 
    {
        this.deltaY = deltaY;
    }

    public Long getDeltaY() 
    {
        return deltaY;
    }
    public void setLng(Long lng) 
    {
        this.lng = lng;
    }

    public Long getLng() 
    {
        return lng;
    }
    public void setLat(Long lat) 
    {
        this.lat = lat;
    }

    public Long getLat() 
    {
        return lat;
    }
    public void setConsStatus(String consStatus) 
    {
        this.consStatus = consStatus;
    }

    public String getConsStatus() 
    {
        return consStatus;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setDesDept(Long desDept) 
    {
        this.desDept = desDept;
    }

    public Long getDesDept() 
    {
        return desDept;
    }
    public void setDiameter(Long diameter) 
    {
        this.diameter = diameter;
    }

    public Long getDiameter() 
    {
        return diameter;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("holeNum", getHoleNum())
            .append("deltaX", getDeltaX())
            .append("deltaY", getDeltaY())
            .append("lng", getLng())
            .append("lat", getLat())
            .append("consStatus", getConsStatus())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("desDept", getDesDept())
            .append("diameter", getDiameter())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
